package com.example.criminalintent;

import android.app.Activity;
import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.Intent;
import android.os.Bundle;

public class CrimeListActivity extends Activity
							   implements CrimeListFragment.OnCrimeSelectedListener
{
	public static final String KEY_POS = "position";
	
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_crime);
	}

	@Override
	public void onCrimeSelected(int pos)
	{
		CrimeFragment crimeFrag = (CrimeFragment) getFragmentManager()
	            .findFragmentById(R.id.details_frag);
		
		if ((crimeFrag == null) || (!crimeFrag.isVisible()))
		{
			Intent intent = new Intent(this, CrimeActivity.class);
			intent.putExtra(KEY_POS, pos);
			startActivity(intent);
		}
		else
		{
			crimeFrag.selectCrime(pos);
		}
	}
}
